Bug 251963 - x11-drivers/xf86-video-intel: update to 2.99.917.914 (2020-12-15 snapshot)
Summary: x11-drivers/xf86-video-intel: update to 2.99.917.914 (2020-12-15 snapshot)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://gitlab.freedesktop.org/xorg/d...
Keywords: patch, patch-ready
Depends on: 251306
Blocks: 252771
  Show dependency treegraph
 
Reported: 2020-12-19 17:00 UTC by Jan Beich
Modified: 2021-01-17 10:21 UTC (History)
2 users (show)

See Also:
zeising: maintainer-feedback+


Attachments
v1 (2.17 KB, patch)
2020-12-19 17:00 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-12-19 17:00:18 UTC
Created attachment 220721 [details]
v1

See URL for changelog. Contains a crash workaround and enables TearFree by default. Lightly tested on drm-devel-kmod + 0x1912 (Skylake) with SNA/DRI3 enabled: veloren-voxygen, vkcube-xcb, mpv --hwdec=vaapi.

Noticed via https://www.phoronix.com/scan.php?page=news_item&px=xf86-video-intel-TearFree-Def
Comment 1 Oleksandr Kryvulia 2020-12-20 17:53:22 UTC
Works on Thinkpad T490 (SNA+DRI3)
Comment 2 Niclas Zeising freebsd_committer 2020-12-23 19:28:31 UTC
Approved.
Comment 3 commit-hook freebsd_committer 2020-12-23 20:12:08 UTC
A commit references this bug:

Author: jbeich
Date: Wed Dec 23 20:11:39 UTC 2020
New revision: 559018
URL: https://svnweb.freebsd.org/changeset/ports/559018

Log:
  x11-drivers/xf86-video-intel: update to 2.99.917.914 (2020-12-15 snapshot)

  Changes:	https://gitlab.freedesktop.org/xorg/driver/xf86-video-intel/-/compare/ad5540f6ecae...a511f22cdec5
  PR:		251963
  Tested by:	Oleksandr Kryvulia
  Approved by:	zeising

Changes:
  head/x11-drivers/xf86-video-intel/Makefile
  head/x11-drivers/xf86-video-intel/distinfo